<?php
declare(strict_types=1);

use Migrations\BaseMigration;

class RemoveCatalogIdFromExternalProductCatalogs extends BaseMigration
{
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/migrations/4/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void
    {
        $table = $this->table('external_product_catalogs');
        $table->removeColumn('product_catalog_id');
        $table->removeColumn('enabled');
        $table->update();
    }
}
